image: registry.gitlab.com/allround-astronaut/containers/helm:3.7

stages:
  - build

build:
  stage: build
  variables:
    HELM_EXPERIMENTAL_OCI: 1
  parallel: 
    matrix:
      - VERSION: ["1.0.0"]
  script:
    - helm registry login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - helm package .
    - helm push "$CI_PROJECT_NAME-$VERSION.tgz" "oci://$CI_REGISTRY/$CI_PROJECT_NAMESPACE"
  only:
    - master
